<?php 

if ( ! isset( $content_width ) ){
  $content_width = 944;
}

add_action('after_setup_theme', 'speedster_init_theme');
 
function speedster_init_theme() {

	register_nav_menus( array(
			'main' => 'Main Menu',
			'top' => 'Top Menu',
	) );

	//Register Dynamic Sidebars
	register_sidebar( array(
			'id'          => 'footer',
			'name'        => 'Footer',
			'before_title' => '<h4 class="widgettitle">',
			'after_title' => '</h4>'
		)
	);
	register_sidebar( array(
			'id'          => 'sidebar',
			'name'        => 'Sidebar',
			'before_title' => '<h4 class="widgettitle">',
			'after_title' => '</h4>'
		)
	);
	add_theme_support('automatic-feed-links');
}

function speedster_scripts() {
	wp_enqueue_style( 'speedster_wf', '//fonts.googleapis.com/css?family=Merriweather+Sans:300,400,700' );
	wp_enqueue_style( 'speedster_css', get_stylesheet_uri() );
	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
}

add_action( 'wp_enqueue_scripts', 'speedster_scripts' );

add_filter('wp_title', 'speedster_wp_title');
function speedster_wp_title($input){
	$output = $input . get_bloginfo( 'name' );

	return $output;
}

function speedster_excerpt_more($more) {
			 global $post;
	return '... </p><p><a class="moretag" href="'. get_permalink($post->ID) . '">Read more &raquo;</a>';
}
add_filter('excerpt_more', 'speedster_excerpt_more');

function speedster_more_link( $more_link, $more_link_text ) {
	return str_replace( $more_link_text, 'Read more &raquo;', $more_link );
}
add_filter( 'the_content_more_link', 'speedster_more_link', 10, 2 );

?>